summaryrefslogtreecommitdiffstats
path: root/misc/pinfo
diff options
context:
space:
mode:
author Arun Prasannan <polar@arunprasannan.com>2010-05-12 23:31:43 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:31:43 +0200
commitbacd7e290473905a207eb4fdef15fa83e1a1d92c (patch)
tree7f7835ea7ec88fa994d2ca037eb9114e6f3e0dde /misc/pinfo
parentb390dfd9ee211d27088e7c1534e49d29b427338b (diff)
downloadslackbuilds-bacd7e290473905a207eb4fdef15fa83e1a1d92c.tar.gz
slackbuilds-bacd7e290473905a207eb4fdef15fa83e1a1d92c.tar.xz
misc/pinfo: Added to 12.2 repository
Diffstat (limited to 'misc/pinfo')
-rw-r--r--misc/pinfo/README5
-rw-r--r--misc/pinfo/doinst.sh15
-rw-r--r--misc/pinfo/pinfo.SlackBuild86
-rw-r--r--misc/pinfo/pinfo.info8
-rw-r--r--misc/pinfo/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/misc/pinfo/README b/misc/pinfo/README
new file mode 100644
index 0000000000..552a60b072
--- /dev/null
+++ b/misc/pinfo/README
@@ -0,0 +1,5 @@
+Pinfo is an info file viewer. It was created when the author, Przemek Borys,
+was very depressed trying to read gtk info entries using the standard tools.
+
+Pinfo is similar in use to lynx. It has similar key movements, and gives
+similar intuition.
diff --git a/misc/pinfo/doinst.sh b/misc/pinfo/doinst.sh
new file mode 100644
index 0000000000..4fce284ce9
--- /dev/null
+++ b/misc/pinfo/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/pinforc.new
+
diff --git a/misc/pinfo/pinfo.SlackBuild b/misc/pinfo/pinfo.SlackBuild
new file mode 100644
index 0000000000..0585c2fe50
--- /dev/null
+++ b/misc/pinfo/pinfo.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for pinfo
+
+# Copyright 2009 Arun Prasannan - http://arunprasannan.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pinfo
+VERSION=0.6.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Let's not clobber the config file
+mv $PKG/etc/pinforc $PKG/etc/pinforc.new
+
+find $PKG/usr/man -type f | xargs gzip -9
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TECHSTUFF $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/pinfo/pinfo.info b/misc/pinfo/pinfo.info
new file mode 100644
index 0000000000..a85bae9172
--- /dev/null
+++ b/misc/pinfo/pinfo.info
@@ -0,0 +1,8 @@
+PRGNAM="pinfo"
+VERSION="0.6.9"
+HOMEPAGE="http://pinfo.alioth.debian.org/"
+DOWNLOAD="https://alioth.debian.org/frs/download.php/1498/pinfo-0.6.9.tar.bz2"
+MD5SUM="e0c788467945f5f97fbacad55863e5b8"
+MAINTAINER="Arun Prasannan"
+EMAIL="polar@arunprasannan.com"
+APPROVED="rworkman"
diff --git a/misc/pinfo/slack-desc b/misc/pinfo/slack-desc
new file mode 100644
index 0000000000..7e8813eda0
--- /dev/null
+++ b/misc/pinfo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+pinfo: Pinfo (info file viewer)
+pinfo:
+pinfo: Pinfo is an info file viewer. It was created when the author,
+pinfo: Przemek Borys, was very depressed trying to read gtk info entries
+pinfo: using the standard tools.
+pinfo:
+pinfo: Pinfo is similar in use to lynx. It has similar key movements, and
+pinfo: gives similar intuition.
+pinfo:
+pinfo: Homepage: http://pinfo.alioth.debian.org/
+pinfo: